
function GotoQuery(%QueryNumber,%client,%sender,%npcFile)
{
   AITMessageClient(%client, %sender, %npcFile, %QueryNumber);
}

function CloseDialog(%client,%sender,%npcFile)
{
   %sender.AITBusy=false;
   %sender.AITTalkingTo=0;
}

function MoveTo(%position,%client,%sender,%npcFile)
{
   %sender.setAimLocation(%position);
   %sender.setMoveDestination(%position);
   CloseDialog(%client,%sender,%npcFile);
}

function KillPlayer(%client,%sender,%npcFile)
{
   %client.player.kill("Sudden");
   CloseDialog(%client,%sender,%npcFile);
}

function KillSender(%client,%sender,%npcFile)
{
   %sender.kill("Sudden");
   CloseDialog(%client,%sender,%npcFile);
}

function DamagePlayer(%DamageAmount,%client,%sender,%npcFile)
{
   %client.player.damage(0, %sender.getposition(), %damageAmount, "Sudden");
   CloseDialog(%client,%sender,%npcFile);
}

function DamageSender(%DamageAmount,%client,%sender,%npcFile)
{
   %sender.damage(0, %sender.getposition(), %damageAmount, "Sudden");
   CloseDialog(%client,%sender,%npcFile);
}

function TeleportPlayer(%Pos,%client,%sender,%npcFile)
{
   %client.player.setTransform(%Pos);
   CloseDialog(%client,%sender,%npcFile);
}

function TeleportSender(%Pos,%client,%sender,%npcFile)
{
   %sender.setTransform(%Pos);
   CloseDialog(%client,%sender,%npcFile);
}

function RenamePlayer(%NewName,%client,%sender,%npcFile)
{
   messageAllExcept(%client, -1, 'MsgPlayerRenamed', '\c1%1 is now known as %2.',%client.player.getshapeName(),%NewName);
   messageClient(%client, 'MsgPlayerRenamed', '\c1You are now known as %1.',%NewName);
   %client.player.setshapeName(%NewName);
   CloseDialog(%client,%sender,%npcFile);
}

function RenameSender(%NewName,%client,%sender,%npcFile)
{
   messageAll('MsgAIRenamed','\c1%1 is now known as %2.',%sender.getshapename(),%NewName);
   %sender.setshapeName(%NewName);
   CloseDialog(%client,%sender,%npcFile);
}

function ChangeStartQuery(%NewQuery,%client,%sender,%npcFile)
{
   %sender.AITStartQuery=%NewQuery;
   CloseDialog(%client,%sender,%npcFile);
}

function ChangeStartQueryAndOpen(%NewQuery,%client,%sender,%npcFile)
{
   %sender.AITStartQuery=%NewQuery;
   AITMessageClient(%client, %sender, %sender.AITScript,%NewQuery);
}

function ChangeStartQueryAndGoto(%NewStartQuery,%GoTo,%client,%sender,%npcFile)
{
   %sender.AITStartQuery=%NewQuery;
   AITMessageClient(%client, %sender, %sender.AITScript,%GoTo);
}

function ChangeAITScript(%NewScript,%StartQuery,%client,%sender,%npcFile)
{
  if(%NewScript!$="" && isFile($pref::AIT::DataPath@%NewScript@".rsp"))
  {
    %sender.AITScript=%NewScript;
    %sender.AITStartQuery=%StartQuery;
    CloseDialog(%client,%sender,%npcFile);
  }
}

function ChangeAITScriptAndOpen(%NewScript,%StartQuery,%client,%sender,%npcFile)
{
  if(%NewScript!$="" && isFile($pref::AIT::DataPath@%NewScript@".rsp"))
  {
    %sender.AITScript=%NewScript;
    %sender.AITStartQuery=%StartQuery;
    AITMessageClient(%client, %sender, %NewScript,%StartQuery);
  }
}

function ChangeMugshot(%NewMugshot,%client,%sender,%npcFile)
{
  %sender.AITMugshot=%NewMugshot;
  CloseDialog(%client,%sender,%npcFile);
}

function ChangeMugshotAndGoto(%NewMugshot,%QueryNumber,%client,%sender,%npcFile)
{
  %sender.AITMugshot=%NewMugshot;
  AITMessageClient(%client, %sender, %sender.AITScript,%QueryNumber);
}

