//this is the script for the portal and particles surrounding it


datablock StaticShapeData(Portal)
{
   category    = "portal";
   shapeFile    = "~/data/shapes/portal/portal.dts";
//   damageRadius     = 10;
//   radiusDamage   = 50;
//   damageType   = barrelAdebris;
//   damageImpulse   = 200;
//   maxDamage      = 30;
//   chaosPoints	= 20;
//   chaosCleared = false;
};


//datablock ParticleData( PortalParticle )
//{
//	textureName        = "~/data/shapes/portal_particles/mist";
//	dragCoefficient    = 0.0;
//	gravityCoefficient = 0; // Gravity pulls down, but a negative value makes the particles rise instead of sink
//	inheritedVelFactor = 0.00;
//	useInvAlpha        = false;
//	spinRandomMin      = -30.0;
//	spinRandomMax      = 30.0;
//
//	lifetimeMS         = 500;
//	lifetimeVarianceMS = 250;
//
//	times[0] = 0.0;
//	times[1] = 0.5;
//	times[2] = 1.0;
//
//	colors[0] = "0.8 0.0 0.0 0.1";
//	colors[1] = "0.8 0.1 0.0 1.1";
//	colors[2] = "0.0 0.0 0.0 0.0";
//
//	sizes[0] = 1.0;
//	sizes[1] = 1.0;
//	sizes[2] = 5.0;
//};
//
//datablock ParticleEmitterData( PortalParticleEmitter )
//{
//	particles = "PortalParticle";
//
//	ejectionPeriodMS = 15;
//	periodVarianceMS = 5;
//
//	ejectionVelocity = 0.25;
//	velocityVariance = 0.10;
//
//	thetaMin = 0.0;
//	thetaMax = 90.0;
//};
//
//datablock ParticleEmitterNodeData( PortalParticleEmitterNode )
//{
//	timeMultiple = 1;
//};

////-----------------------------------------------------------------------------
//// Where there's fire... there's smoke, so the second thing we need to do is 
//// create a second particle system to represent the smoke.
//// 
//// SmokeParticle            - Defines how individual particles behave.
//// SmokeParticleEmitter     - Defines how the particles enter the world.
//// SmokeParticleEmitterNode - The particle system's node for world placement.
////-----------------------------------------------------------------------------
datablock ParticleData( PortalParticle )
{
	textureName        = "~/data/shapes/portal_particles/mist";
	dragCoefficient    = 10.0;
	gravityCoefficient = 0.0; // Gravity pulls down, but a negative value makes the particles rise instead of sink
	inheritedVelFactor = 0.00;
	useInvAlpha        = false;
	spinRandomMin      = -30.0;
	spinRandomMax      = 30.0;

	lifetimeMS         = 3000;
	lifetimeVarianceMS = 250;

	times[0] = 0.0;
	times[1] = 0.5;
	times[2] = 1.0;

	colors[0] = "7 0 0 0.1";
	colors[1] = "3 3 3 0.1";
	colors[2] = "0 0 0 0.0";

	sizes[0] = 9.0;
	sizes[1] = 7.5;
	sizes[2] = 0.0;
};

datablock ParticleEmitterData( PortalParticleEmitter )
{
	particles = PortalParticle;

	ejectionPeriodMS = 15;
	periodVarianceMS = 5;

	ejectionVelocity = 0.25;
	velocityVariance = 0.10;

	thetaMin = 0.0;
	thetaMax = 90.0;
};

datablock ParticleEmitterNodeData( PortalParticleEmitterNode )
{
	timeMultiple = 1;
};
