

datablock TriggerData( PortalWarp )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 100;
};


function PortalWarp::onEnterTrigger( %this, %trigger, %obj )
{
		%maxChaos = %obj.getDataBlock().maxEnergy;
	
		if(%obj.getEnergyLevel() >=  %maxChaos)
		{
			alxStop($BGMHandle);  
 			$BGMHandle = alxPlay(Hells_Pit); 
			%tf = %obj.getTransform();
			%rotation = getwords(%tf,3,6);
			%newPosition = "-1795 -1433 270";
			%obj.setTransform(%newPosition SPC %rotation);
			%obj.player.warpedToHell = true;
		}
	


	
	
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

datablock AudioProfile(Hells_Pit)  
{  
   filename = "~/data/music/Hell_BGM.wav";  
   description = "AudioLooping2D";  
   preload = false;  
};  



function PortalWarp::onLeaveTrigger( %this, %trigger, %obj )
{
	echo( "The player has just left the CheckEndGame trigger!");

	// This method is called whenever an object leaves the %trigger
	// area, the object is passed as %obj.  The default onLeaveTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,0) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

function PortalWarp::onTickTrigger( %this, %trigger )
{
	//echo( "The player is still in the Temple of Evil! - Calling all monsters!");

	// This method is called every tickPerioMS, as long as any
	// objects intersect the trigger. The default onTriggerTick
	// method (in the C++ code) invokes the ::onTriggerTick(%trigger) method on
	// every object (whatever it's type) in the same group as the trigger.

	// You can iterate through the objects in the list by using these
	// methods:
	//    %this.getNumObjects();
	//    %this.getObject(n);
	Parent::onTickTrigger( %this, %trigger );
}